<?php
    
    namespace common\models\blog;
    
    use artbox\core\models\Alias;
    use artbox\core\models\Language;
    use yii\db\ActiveRecord;
    
    /**
     * This is the model class for table "blog_tag_lang".
     *
     * @property integer  $id
     * @property integer  $blog_tag_id
     * @property integer  $language_id
     * @property string   $label
     * @property Tag      $blogTag
     * @property Language $language
     */
    class TagLang extends ActiveRecord
    {
        
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'blog_tag_lang';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [ 'label' ],
                    'string',
                    'max' => 255,
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'id'          => 'ID',
                'blog_tag_id' => 'Blog Tag ID',
                'language_id' => 'Language ID',
                'label'       => \Yii::t('core', 'Label'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getTag()
        {
            return $this->hasOne(Tag::className(), [ 'id' => 'blog_tag_id' ]);
        }
        
        public function getAlias()
        {
            return $this->hasOne(Alias::className(), [ 'id' => 'alias_id' ]);
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getLanguage()
        {
            return $this->hasOne(Language::className(), [ 'id' => 'language_id' ]);
        }
    }
